StockX Trends
Retrieve trending products on StockX by category, with options to sort by featured, most active, or release date.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
StockX product category to retrieve trending items for.
Accepted values:
sneakers: Trending sneakersstreetwear: Trending streetwearelectronics: Trending electronicstrading cards: Trending trading cardscollectibles: Trending collectiblesapparel: Trending apparelhandbags: Trending handbagswatches: Trending watches
sort_by?string
Sort order for trending results.
featured: Featured/curated items (default)most_active: Most actively traded itemsrelease_date: Newest releases first
Default
"featured"country?string
Country code for localized trending data.
US: United StatesFR: FranceGB: United Kingdom
Default
"US"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/stockx/trends?query=string"[
{
"id": "6693bae8-39f1-4809-a6a3-b26c91a7aa5a",
"slug": "a-bathing-ape-bape-sk8-sta-grey-gold-white",
"name": "A Bathing Ape Bape SK8 Sta Grey Gold White",
"brand": "bape",
"sku": "1J30-291-025/1J30-191-025",
"image": "https://images.stockx.com/images/A-Bathing-Ape-Bape-SK8-Sta-Grey-Gold-White.jpg",
"category": "sneakers",
"release_date": "2023-04-14"
},
{
"id": "0b450075-9f93-4423-8677-4d8029ff7348",
"slug": "air-jordan-1-high-og-chicago-2022",
"name": "Jordan 1 Retro High OG Chicago 2022",
"brand": "Jordan",
"sku": "DZ5485-612",
"image": "https://images.stockx.com/images/Air-Jordan-1-Retro-High-OG-Chicago-2022.jpg",
"category": "sneakers",
"release_date": "2023-05-06"
}
]{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}